@import "assets/scss/global";

.add-class-modal {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    max-width: unset;
    margin: 0;
    background: initial !important;

    [class~="rs-modal-dialog"] {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;

        [class~="rs-modal-content"] {
            width: 605px;
            background: #FFFFFF;
            padding: 24px;
            border-radius: 16px;

            [class~="rs-modal-body"] {
                margin: 0;
                padding: 0;
                display: flex;
                flex-direction: column;
                // gap: 24px;
                overflow: visible !important;

                .header-name {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    color: #EF4E2B;
                    text-transform: uppercase;
                    font-weight: 600;
                    font-size: 20px;
                }

                .form {
                    padding-top: 24px;
                    display: flex;
                    flex-direction: column;
                    gap: 24px;
                    input {
                        width: 100%;
                    }
                }

                .box-select-class {
                    .error {
                        input {
                            border-color: #F82626;
                        }
                    }

                    .error-text {
                        font-weight: 400;
                        font-size: 10px;
                        line-height: 22px;
                        color: #F82626;
                    }
                }

                .select-grade-and-year {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    justify-content: space-between;
                    width: 100%;

                    .select-grade {
                        width: 48%;
                        min-width: 48%;
                    }

                    .select-year {
                        width: 48%;
                    }
                }

                .class-pass-code {
                    width: 100%;
                }

                .information-tag {
                    display: flex;
                    flex-direction: row;
                    gap: 8px;
                    align-items: flex-start;

                    background-color: #C7E3FD;
                    padding: 5px;
                    border-radius: 8px;

                    svg {
                        height: 28px;
                        width: 28px;
                        flex: none;
                    }

                    .infoText {
                        font-weight: 400;
                        font-size: 14px;
                        line-height: 24px;
                        color: #5C5C5C;
                    }
                }

                .footer {
                    display: flex;
                    align-items: center;
                    justify-content: flex-end;
                    flex-direction: row;
                    gap: 6px;
                    margin-top: 15px;

                    button {
                        font-weight: 400;
                        font-size: 13px;
                        line-height: 1.1;

                        &.cancel {
                            color: #8E91A0;
                            background: #F6F6F6;
                            box-shadow: none;
                        }
                    }
                }
            }
        }
    }
}